Bug 1410469 - (CVE-2016-10059) CVE-2016-10059 ImageMagick: TIFF file buffer overflow
CVE-2016-10059 ImageMagick: TIFF file buffer overflow
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160508,repor...
: Security
Depends On: 1410515
Blocks: 1410453
  Show dependency treegraph
 
Reported: 2017-01-05 10:04 EST by Andrej Nemec
Modified: 2017-11-21 23:29 EST (History)
13 users (show)

See Also:
Fixed In Version: ImageMagick 6.9.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-21 23:29:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-01-05 10:04:18 EST
A buffer overflow vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly have other impact.

References:

http://seclists.org/oss-sec/2016/q4/758
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845195

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/58cf5bf4fade82e3b510e8f3463a967278a3e410
Comment 1 Andrej Nemec 2017-01-05 11:14:34 EST
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]

Note You need to log in before you can comment on or make changes to this bug.